> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an app

> Modify application configuration with admin privileges.
Allows updating apps owned by any client in the reseller scope.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml put /fastedge/v1/admin/apps/{app_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/apps/{app_id}:
    put:
      tags:
        - FastEdge Reseller Apps
      summary: Update an app
      description: |-
        Modify application configuration with admin privileges.
        Allows updating apps owned by any client in the reseller scope.
      operationId: updateAppAdmin
      parameters:
        - description: ID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/app'
        description: App details
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app_short'
          description: Application updated successfully, returns updated metadata
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '401':
          description: Unauthorised
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
components:
  schemas:
    app:
      type: object
      properties:
        name:
          type: string
          description: Unique application name (alphanumeric, hyphens allowed)
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
          example: my-edge-app
          x-stainless-terraform-configurability: computed_optional
        url:
          type: string
          readOnly: true
          description: Auto-generated URL where the application is accessible
          example: my-edge-app.fastedge.gcore.dev
        binary:
          type: integer
          format: int64
          description: ID of the WebAssembly binary to deploy
          minimum: 1
          example: 12345
          x-stainless-terraform-configurability: computed_optional
        template:
          type: integer
          format: int64
          description: Template ID
        template_name:
          readOnly: true
          type: string
          description: Template name
        status:
          type: integer
          description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            5 - suspended
          minimum: 0
          maximum: 5
          example: 1
          x-stainless-terraform-configurability: computed_optional
        plan_id:
          readOnly: true
          type: integer
          format: int64
          description: Plan ID
        plan:
          readOnly: true
          type: string
          description: Plan name
        env:
          type: object
          description: Environment variables
          additionalProperties:
            type: string
          example:
            var1: value1
            var2: value2
          x-stainless-terraform-configurability: computed_optional
        rsp_headers:
          type: object
          description: Extra headers to add to the response
          additionalProperties:
            type: string
          example:
            header1: value1
            header2: value2
          x-stainless-terraform-configurability: computed_optional
        log:
          deprecated: true
          type: string
          nullable: true
          enum:
            - kafka
            - none
          x-stainless-terraform-configurability: computed_optional
        debug:
          type: boolean
          writeOnly: true
          description: >-
            Enable verbose debug logging for 30 minutes. Automatically expires
            to prevent performance impact.
          default: false
          example: false
        debug_until:
          type: string
          format: date-time
          readOnly: true
          description: When debugging finishes
        comment:
          type: string
          description: Optional human-readable description of the application's purpose
          maxLength: 1024
          example: Production API gateway for customer portal
          x-stainless-terraform-configurability: computed_optional
        api_type:
          readOnly: true
          type: string
          description: Wasm API type
        networks:
          readOnly: true
          description: Networks
          type: array
          items:
            type: string
        secrets:
          type: object
          description: Application secrets
          additionalProperties:
            $ref: '#/components/schemas/app_secret_short'
        stores:
          type: object
          description: Application edge stores
          additionalProperties:
            $ref: '#/components/schemas/app_store'
    app_short:
      required:
        - id
        - name
        - status
        - binary
        - api_type
        - plan_id
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: App ID
          minimum: 1
        name:
          type: string
          description: App name
        url:
          type: string
          description: App URL
        status:
          type: integer
          description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            3 - hourly call limit exceeded  
            4 - daily call limit exceeded  
            5 - suspended
        binary:
          type: integer
          format: int64
          description: Binary ID
        comment:
          type: string
          description: Description of the binary
        api_type:
          type: string
          description: Wasm API type
        debug_until:
          type: string
          format: date-time
          description: When debugging finishes
        debug:
          default: false
          description: Switch on logging for 30 minutes (switched off by default)
          type: boolean
          writeOnly: true
        template:
          type: integer
          format: int64
          description: Template ID
        template_name:
          type: string
          description: Template name
        networks:
          description: Networks
          type: array
          items:
            type: string
        upgradeable_to:
          type: integer
          format: int64
          description: ID of the binary the app can be upgraded to
        plan_id:
          type: integer
          format: int64
          description: Application plan ID
        plan:
          type: string
          description: Application plan name
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    app_secret_short:
      type: object
      description: Application secret short description
      required:
        - id
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the secret.
        name:
          type: string
          readOnly: true
          description: The unique name of the secret.
        comment:
          type: string
          readOnly: true
          description: A description or comment about the secret.
    app_store:
      type: object
      description: Application stores
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int64
          description: The identifier of the store
        name:
          type: string
          readOnly: true
          x-go-type-skip-optional-pointer: true
          description: The name of the store
        comment:
          type: string
          readOnly: true
          description: A description of the store
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````